Summary: VNC AIX Addon-Utilities
Name: vnc-addon
Version: 1.0
URL: http://www.perzl.org/aix/
Release: 1 
License: BSD
Vendor: Michael Perzl
Group: System Environment/Base

Source1: vncservers.conf
Source2: vncserver.aix.init

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: vnc

%description
VNC-Addon is the "port" of the Fedora Core way of handling the automatic start/stop of the VNC server.


##
## PREP
##
%prep 
##%setup -q


##
## BUILD
##
%build


##
## PRE
##
%pre


##
## PREUN GMETAD
##
%preun
if [ "$1" = 0 ]; then
   /etc/rc.d/init.d/vncserver stop
fi


##
## INSTALL
##
%install

[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

## Create the directory structure
%__mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
%__mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
%__mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc2.d/
%__mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc3.d/

cp %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/vncservers
chmod 0644 $RPM_BUILD_ROOT/etc/sysconfig/vncservers
cp %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/vncserver
chmod 0755 $RPM_BUILD_ROOT/etc/rc.d/init.d/vncserver

ln -sf '../init.d/vncserver' $RPM_BUILD_ROOT/etc/rc.d/rc2.d/Svncserver
ln -sf '../init.d/vncserver' $RPM_BUILD_ROOT/etc/rc.d/rc2.d/Kvncserver
ln -sf '../init.d/vncserver' $RPM_BUILD_ROOT/etc/rc.d/rc3.d/Svncserver
ln -sf '../init.d/vncserver' $RPM_BUILD_ROOT/etc/rc.d/rc3.d/Kvncserver


##
## FILES
##
%files
%defattr(-,root,system)
%config(noreplace) /etc/sysconfig/vncservers
/etc/rc.d/init.d/vncserver
/etc/rc.d/rc2.d/Svncserver
/etc/rc.d/rc2.d/Kvncserver
/etc/rc.d/rc3.d/Svncserver
/etc/rc.d/rc3.d/Kvncserver


##
## CLEAN
##
%clean
%__rm -rf $RPM_BUILD_ROOT


##
## CHANGELOG
##
%changelog
* Wed Jan 10 2007 Michael Perzl <michael@perzl.org> - 1.0-1
- initial release
